Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
LatBuilder::MeritFilterListPolicy< LatType::EMBEDDED > Class Template Reference

Specialization of MeritFilterListPolicy for embedded lattices. More...

`#include <MeritFilterList.h>`

Inherits LatBuilder::BasicMeritFilterList< LatType::ORDINARY >, and LatBuilder::BasicMeritFilterList< LatType::EMBEDDED >.

## Public Types
typedef BasicMeritFilter < LatType::EMBEDDED, LatType::ORDINARY > | Combiner
Public Types inherited from LatBuilder::BasicMeritFilterList< LatType::ORDINARY >
typedef BasicMeritFilter< LAT > | Filter
typedef Filter::InputMeritValue | MeritValue
typedef Filter::LatDef | LatDef
typedef std::list < std::unique_ptr< Filter > > | FilterList
typedef boost::signals2::signal< void(const LatDef &)> | OnReject
| Type of signal emitted when a merit value is rejected.
Public Types inherited from LatBuilder::BasicMeritFilterList< LatType::EMBEDDED >
typedef BasicMeritFilter< LAT > | Filter
typedef Filter::InputMeritValue | MeritValue
typedef Filter::LatDef | LatDef
typedef std::list < std::unique_ptr< Filter > > | FilterList
typedef boost::signals2::signal< void(const LatDef &)> | OnReject
| Type of signal emitted when a merit value is rejected.

## Public Member Functions
bool | empty () const
| Returns `true` if and only if the list of filters is empty. More...
template<LatType L>
BasicMeritFilterList< L > ::OnReject & | onReject () const
const Combiner & | combiner () const
Setup functions
void | add (std::unique_ptr< Combiner > combiner)
| Sets the combiner for multilevel merit values. More...
void | add (std::unique_ptr< OBase::Filter > filter)
void | add (std::unique_ptr< EBase::Filter > filter)
Public Member Functions inherited from LatBuilder::BasicMeritFilterList< LatType::ORDINARY >
| BasicMeritFilterList ()
| Constructor.
bool | empty () const
| Returns `true` if and only if the list of filters is empty.
OnReject & | onReject () const
| Reject signal. More...
const FilterList & | filters () const
void | add (std::unique_ptr< Filter > filter)
| Appends a filter for scalar merit values. More...
Public Member Functions inherited from LatBuilder::BasicMeritFilterList< LatType::EMBEDDED >
| BasicMeritFilterList ()
| Constructor.
bool | empty () const
| Returns `true` if and only if the list of filters is empty.
OnReject & | onReject () const
| Reject signal. More...
const FilterList & | filters () const
void | add (std::unique_ptr< Filter > filter)
| Appends a filter for scalar merit values. More...

## Protected Member Functions
Real | applyFilters (const RealVector &merit, const typename EBase::LatDef &lat) const
Protected Member Functions inherited from LatBuilder::BasicMeritFilterList< LatType::ORDINARY >
MeritValue | apply (MeritValue merit, const LatDef &lat) const
Protected Member Functions inherited from LatBuilder::BasicMeritFilterList< LatType::EMBEDDED >
MeritValue | apply (MeritValue merit, const LatDef &lat) const

## Detailed Description

### template<>
class LatBuilder::MeritFilterListPolicy< LatType::EMBEDDED >

Specialization of MeritFilterListPolicy for embedded lattices.

## Member Function Documentation

void LatBuilder::MeritFilterListPolicy< LatType::EMBEDDED >::add | ( | std::unique_ptr< Combiner > | combiner | ) |
| inline

Sets the combiner for multilevel merit values.

Clears any previously configured combiner.

bool LatBuilder::MeritFilterListPolicy< LatType::EMBEDDED >::empty | ( |  | ) | const
| inline

Returns `true` if and only if the list of filters is empty.

The list of filters is considered empty when both lists of scalar and multilevel filters are empty. The combiner is ignored.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritFilterList.h